### Function

# Aravis get_interface_id

#### Declaration [src]

    const char*
    arv_get_interface_id (
      unsigned int index
    )

#### Description [src]

Retrieves the interface identifier. Possible values are ‘Fake’, ‘USB3Vision’ and ‘GigEVision’.

#### Parameters

`index`

  Type: `unsigned int`

  Interface index.

#### Return value

Type: `const char*`

The interfae identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.